SPSS Community News - New Extension Command STATS PADJUST for FDR and FWER

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

SPSS Community News - New Extension Command STATS PADJUST for FDR and FWER

Jon K Peck
A new extension command, STATS PADJUST, has been uploaded to the SPSS Community website.  The command adjusts p values from multiple testing to control the family-wise error rate or the false discovery rate.  The methods provided are Benjamini-Hochberg, Holm, Hommel, Hochberg, Benjamini-Yekutieli, and Bonferroni.  The input can come from the active dataset or be entered via the command syntax.

This command requires the R Essentials and at least version 18 of Statistics.  It can be downloaded from within Statistics using the Utilities menu in version 22. Older versions can download it from the SPSS Community website (www.ibm.com/developerworks/spssdevcentral) in the Extension Commands collection.



Jon Peck (no "h") aka Kim
Senior Software Engineer, IBM
[hidden email]
phone: 720-342-5621
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Error running STATS PADJUST

K. Y
This post was updated on .
I installed the extension and tried to run it, but received the following error message.
I am wondering if someone happens to know why this happens and how I can solve it.
Thank you advance for your help.

>Error # 1. Command name: STATS
>The first word in the line is not recognized as an SPSS Statistics command.
>Execution of this command stops.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error running STATS PADJUST

Jon Peck
That message means that the syntax definition for STATS PADJUST was not installed or was installed incorrectly.  With older versions of Statistics, restarting it after the installation was necessary in order for the command to be recognized, but that is no longer the case.

Perhaps an OS file permissions problem caused the install to fail.  Try starting Statistics using Run As Administrator (on Windows or equivalent on Mac) and doing the install again.

You can see the locations where extensions can be installed by running SHOW EXT.  You should find the STATS_PADJUST.xml file in one of those locations.

On Tue, May 30, 2017 at 12:24 AM, K. Y <[hidden email]> wrote:
I installed the extension and tried to run it, but received the following
error message.
I am wondering if you happen to know why this happens and how I can solve
it.

>Error # 1. Command name: STATS
>The first word in the line is not recognized as an SPSS Statistics command.
>Execution of this command stops.



--
View this message in context: http://spssx-discussion.1045642.n5.nabble.com/SPSS-Community-News-New-Extension-Command-STATS-PADJUST-for-FDR-and-FWER-tp5725515p5734300.html
Sent from the SPSSX Discussion mailing list archive at Nabble.com.

=====================
To manage your subscription to SPSSX-L, send a message to
[hidden email] (not to SPSSX-L), with no body text except the
command. To leave the list, send the command
SIGNOFF SPSSX-L
For a list of commands to manage subscriptions, send the command
INFO REFCARD



--
Jon K Peck
[hidden email]

===================== To manage your subscription to SPSSX-L, send a message to [hidden email] (not to SPSSX-L), with no body text except the command. To leave the list, send the command SIGNOFF SPSSX-L For a list of commands to manage subscriptions, send the command INFO REFCARD
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error running STATS PADJUST

K. Y
I restarted SPSS as mine is still V22, and the extension worked just fine after restarting it.
I'm glad that it was that simple.

Thank you so much for your help!!

K.Y
Loading...